Package org.apache.storm.generated

## Class Supervisor.Client

- java.lang.Object
- - org.apache.storm.thrift.TServiceClient
  - - org.apache.storm.generated.Supervisor.Client

- All Implemented Interfaces:
    `Supervisor.Iface`
  Enclosing class:
    Supervisor

      public static class Supervisor.Client
      extends org.apache.storm.thrift.TServiceClient
      implements Supervisor.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Supervisor.Client.Factory` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Client​(org.apache.storm.thrift.protocol.TProtocol prot)` |
    `Client​(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TProtocol oprot)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Assignment` | `getLocalAssignmentForStorm​(String id)` | Get local assignment for a storm
    `Assignment` | `recv_getLocalAssignmentForStorm()` |
    `void` | `recv_sendSupervisorAssignments()` |
    `void` | `recv_sendSupervisorWorkerHeartbeat()` |
    `void` | `send_getLocalAssignmentForStorm​(String id)` |
    `void` | `send_sendSupervisorAssignments​(SupervisorAssignments assignments)` |
    `void` | `send_sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)` |
    `void` | `sendSupervisorAssignments​(SupervisorAssignments assignments)` | Send node specific assignments to supervisor
    `void` | `sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)` | Send worker heartbeat to local supervisor

    - ### Methods inherited from class org.apache.storm.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client​(org.apache.storm.thrift.protocol.TProtocol prot)

    - #### Client

          public Client​(org.apache.storm.thrift.protocol.TProtocol iprot,
                        org.apache.storm.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### sendSupervisorAssignments

          public void sendSupervisorAssignments​(SupervisorAssignments assignments)
                                         throws AuthorizationException,
                                                org.apache.storm.thrift.TException

      Description copied from interface: `Supervisor.Iface`
      Send node specific assignments to supervisor
      Specified by:
        `sendSupervisorAssignments` in interface `Supervisor.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_sendSupervisorAssignments

          public void send_sendSupervisorAssignments​(SupervisorAssignments assignments)
                                              throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_sendSupervisorAssignments

          public void recv_sendSupervisorAssignments()
                                              throws AuthorizationException,
                                                     org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getLocalAssignmentForStorm

          public Assignment getLocalAssignmentForStorm​(String id)
                                                throws NotAliveException,
                                                       AuthorizationException,
                                                       org.apache.storm.thrift.TException

      Description copied from interface: `Supervisor.Iface`
      Get local assignment for a storm
      Specified by:
        `getLocalAssignmentForStorm` in interface `Supervisor.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getLocalAssignmentForStorm

          public void send_getLocalAssignmentForStorm​(String id)
                                               throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getLocalAssignmentForStorm

          public Assignment recv_getLocalAssignmentForStorm()
                                                     throws NotAliveException,
                                                            AuthorizationException,
                                                            org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### sendSupervisorWorkerHeartbeat

          public void sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)
                                             throws AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Description copied from interface: `Supervisor.Iface`
      Send worker heartbeat to local supervisor
      Specified by:
        `sendSupervisorWorkerHeartbeat` in interface `Supervisor.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_sendSupervisorWorkerHeartbeat

          public void send_sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)
                                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_sendSupervisorWorkerHeartbeat

          public void recv_sendSupervisorWorkerHeartbeat()
                                                  throws AuthorizationException,
                                                         org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`